<?php
// +---------------------------------------------------------------------------+
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or any later version.
// +---------------------------------------------------------------------------+
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// +---------------------------------------------------------------------------+

class MemoPlugin extends AbstractStudIPSystemPlugin {

	var $java;
	/**
	 *
	 */
	function MemoPlugin(){

		parent::AbstractStudIPSystemPlugin();
		$GLOBALS['perm']->check('autor');
		$this->java = ( $GLOBALS['auth']->auth['jscript'])? true:false;
		//$this->java = false;
		if (!$this->java){
			$nav = new PluginNavigation();
			$nav->setIcon('img/memo.gif');
        		$nav->setDisplayname('Memo');
			$this->setNavigation($nav);
			$this->setPluginiconname("img/memo.gif");
		}
	}

	function getPluginname(){
		return _("Memo");
	}

	function getLink($params = array()){
		return PluginEngine::getLink($this, $params);
	}

	function show(){
		require_once dirname(__FILE__) . '/Memo.class.php';
		require_once 'lib/msg.inc.php';
		echo '<div style="padding:20px;"><table>';
		parse_msg('error'._("Sie knnen die volle Funktionalit&auml;t dieses Plugins nur mit aktiviertem Javascript nutzen."));
		echo '</table><div style="text-align:center;">';
		$memo = new Memo(false);
		$memo->writeForm2($this->getPluginURL(), $this->getLink());
		echo '</div></div>';
	}

	function hasBackgroundTasks(){
		return $this->java;
	}


	function doBackgroundTasks(){
		require_once dirname(__FILE__) . '/Memo.class.php';
		Memo::writeForm($this->getPluginURL());
	}
}
?>